Bug 226812 - [LFC][Integration] Hovering over link switches to legacy inline boxes
Summary: [LFC][Integration] Hovering over link switches to legacy inline boxes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 230026
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-09 05:59 PDT by Antti Koivisto
Modified: 2021-09-08 10:11 PDT (History)
10 users (show)

See Also:


Attachments
wip (6.32 KB, patch)
2021-06-09 06:01 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (10.59 KB, patch)
2021-09-06 23:47 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (10.70 KB, patch)
2021-09-07 00:43 PDT, Antti Koivisto
zalan: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (9.44 KB, patch)
2021-09-08 02:04 PDT, Antti Koivisto
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (9.44 KB, patch)
2021-09-08 08:35 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2021-06-09 05:59:53 PDT
RenderInline should be able to collect line box rects without switching to legacy
Comment 1 Antti Koivisto 2021-06-09 06:01:11 PDT
Created attachment 430957 [details]
wip
Comment 2 Radar WebKit Bug Importer 2021-06-16 06:00:17 PDT
<rdar://problem/79394047>
Comment 3 Antti Koivisto 2021-09-06 23:47:50 PDT
Created attachment 437455 [details]
patch
Comment 4 Antti Koivisto 2021-09-07 00:43:25 PDT
Created attachment 437462 [details]
patch
Comment 5 Antti Koivisto 2021-09-08 02:04:49 PDT
Created attachment 437614 [details]
patch
Comment 6 Antti Koivisto 2021-09-08 08:35:34 PDT
Created attachment 437633 [details]
patch
Comment 7 EWS 2021-09-08 10:11:15 PDT
Committed r282150 (241446@main): <https://commits.webkit.org/241446@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437633 [details].